Bug 206079 - Deadlock in AnnotationProcessingQueryImpl vs. project mutex
Deadlock in AnnotationProcessingQueryImpl vs. project mutex
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
7.2
PC Linux
: P2 (vote)
: 7.2
Assigned To: Tomas Zezula
issues@java
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-07 13:37 UTC by Jesse Glick
Modified: 2011-12-14 12:09 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Thread dump (30.93 KB, text/plain)
2011-12-07 13:37 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2011-12-07 13:37:40 UTC
Created attachment 113918 [details]
Thread dump

Dev build, JDK 6, was just closing a Maven project and opening a j2seproject. 

Compare "Parsing & Indexing Loop (...)" to "Opening projects". AnnotationProcessingQueryImpl.getAnnotationProcessingOptions should not call foreign code while holding a private lock I guess.
Comment 1 Tomas Zezula 2011-12-12 18:12:01 UTC
Fixed jet-main a2252d02fa81
Comment 2 Quality Engineering 2011-12-14 12:09:48 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/a2252d02fa81
User: Tomas Zezula <tzezula@netbeans.org>
Log: #206079:Deadlock in AnnotationProcessingQueryImpl vs. project mutex


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo